<?php
/**
 * Sync an article to farm site.
 * 
 * @param  int    $articleID 
 * @access public
 * @return void
 */
public function sync2Farm($articleID)
{
    $article = $this->getSyncArticle($articleID);
    $article->categories = $this->post->categories;
    $article->syncType   = $this->post->syncType;
    $result = $this->loadModel('farm')->syncObject($this->post->farmID, $article);
    if($result->result == 'success')
    {
        $result->message = $this->lang->article->syncSuccess;
        $result->locate  = inlink('admin');
    }
    return $result;
}

/**
 * Get sync article.
 * 
 * @param  int    $articleID 
 * @access public
 * @return object
 */
public function getSyncArticle($articleID)
{
    $article = $this->getByID($articleID);

    if($article->source != 'copied' and zget($this->config, 'isNuituiPlat', 0) and !$this->config->isNiutuiPlat)
    {
        $article->source   = 'copied';
        $article->copySite = $this->config->site->name;
        $article->copyURL  = commonModel::getSysUrl() . $this->createPreviewLink($articleID);
    }

    $webRoot = commonModel::getSysURL() . $this->config->webRoot;

    $article->content = str_replace("src=\"{$this->config->webRoot}data/", "src=\"{$webRoot}data/", $article->content);
    $article->content = str_replace("src='{$this->config->webRoot}data/", "src='{$webRoot}data/", $article->content);

    $article->content = str_replace("href=\"{$this->config->webRoot}data/", "href=\"{$webRoot}data/", $article->content);
    $article->content = str_replace("href='{$this->config->webRoot}data/", "href='{$webRoot}data/", $article->content);

    $article->content = str_replace("src=\"{$this->config->webRoot}file.php", "src=\"{$webRoot}file.php", $article->content);
    $article->content = str_replace("src='{$this->config->webRoot}file.php", "src='{$webRoot}file.php", $article->content);

    $article->content = str_replace("href=\"{$this->config->webRoot}file.php", "href=\"{$webRoot}file.php", $article->content);
    $article->content = str_replace("href='{$this->config->webRoot}file.php", "href='{$webRoot}file.php", $article->content);

    unset($article->path);
    unset($article->id);
    unset($article->files);
    unset($article->categories);

    return $article;
}
